/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* $Id: MsgPort.c,v 1.2 2003/08/28 00:09:04 olethros Exp $ */

#include "MsgPort.h"

MsgPort* NewConsoleMsgPort (FILE* file) {
  MsgPort* port = NULL;
  assert (file);
  
  port = AllocM (MsgPort, 1);
  if (!port) {
    goto quick_exit;
  }

 quick_exit:
  if (port) {
    FreeMsgPort(port);
  }
  Serror ("Could not create message port!\n");
  return NULL;
}

/* nothing else to do for the general case! */
void FreeMsgPort (MsgPort* port) {
  assert (port);
  FreeM (port);
}

void FreeFileMsgPort (MsgPort* port) {
  assert (port);
  FILE* f;

  f = (FILE*) port->TxAddress;
  if ( (f!=stdout)&& (f!=stderr)) {
    fclose (f);
    port->TxAddress = NULL;
  }
  FreeMsgPort (port);
};
