#include "Vector.h"

Vector* NewVector (int n)
{
     Vector* v;
     if ((v= AllocM (Vector, 1)) == NULL) {
	  return NULL;
     }
     if ((v->x = AllocM (float, n)) == NULL) {
	  DeleteVector (v);
	  return NULL;
     }
     v->n = n;
     return v;
}

int DeleteVector (Vector* vector)
{
     if (vector) {
	  if (vector->x) {
	       FreeM (vector->x);
	  }
	  FreeM (vector);
	  return 0;
     } else {
	  Serror ("NULL free vector\n");
	  return -1;
     }
}
