#include <stdio.h>
#include "debug.h"
#include <assert.h>

int ShowError(int ec) {
  if (!ec) return 0;

  if (ec & DEC_ARG_INVALID) printf ("Invalid Argument ");
  if (ec & DEC_ARG_CORRUPT) printf ("Corrupt Argument ");

  printf (": %d\n",ec & DEC_MASK);
  return ec;

}

long FileLength(char* fname) {
  FILE* fstream;
  long l = 0;
  if (ReadFile(fname, fstream)) {
    fseek(fstream, 0l, SEEK_END);
    l = ftell(fstream);
    CloseFile(fstream);
    return l;
  } 
  return 0;
}
