#include "Windowing.h"
#include "psr.h"

int main ()
{
     SAMPLE_BUFFER* original = CreateSine (2.0f, 44100.0, 1280.0, 1.0);
     const SAMPLE_BUFFER* cut_copy;
     HammingWindow w(16);
     cut_copy = w.Cut(original, 50000, 2000);
     
     FILE* f= fopen ("/tmp/out.raw", "w");
     if (f) {
       SaveSampleBuffer (cut_copy, f);
       fclose (f);
     }
     FreeSampleBuffer (original);
     return 0;
}
