/* -*- Mode: C++; -*- */
/* IOPORT */

#ifndef IO_PORT_H
#define IO_PORT_H
enum Permissions {None=0x00, Read=0x01, Write=0x02};
template <typename T>
struct IOPort {
	enum Permissions flags;
	T* head;
	T* tail;
	void (*Ack) (IOPort* port);
	bool ACK_HOLD;
};

#endif
