/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* "VER: $Id: SFX.c,v 1.2 2003/09/02 19:24:49 olethros Exp $" */

#include "debug.h"
#include "SFX.h"
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>



/* This is the actual effect class */

SFX SFX_class = {
  &NewSFXObject, 
    &SFX_ApplyToNew,
    &SFX_Apply,
    &SFX_ApplyToPipe,
    &SFX_GetNext,
    &SFX_ClearPipe,
    &SFX_DeleteSFX,
    NULL, NULL
};


SFX* NewSFX(void) {
  SFX* sfx = SFX_class.NewSFX();
  return sfx;
}


SFX* NewSFXObject(void) {
  SFX* sfx = AllocM (SFX, 1);
  if (!sfx)
    return NULL;
  ObjCopy(sfx, SFX);
  return sfx;
}

SFX* NewEchoSFX(void) {
  SFX* sfx = SFX_class.NewSFX();
  return sfx;
}

Sample* SFX_ApplyToNew (struct SFX_* sfx, Sample* sample) {
  return NULL;
}
