/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* VER: $Id: TestISOLearning.c,v 1.1 2003/07/29 01:21:47 olethros Exp $ */

#include <time.h>
#include "ISOLearning.h"

int main (int argc, char** argv)
{

	ISOLearner* iso;
	
	srand48(time(NULL));
	iso = NewISOLearner (1, 1, 1, 0.01);
	if (iso==NULL) {
		Serror ("Could not do it\n");
		return -1;
	}

	for (int i=0; i<10000; i++) {
		real x;
		if (drand48()<0.001) {
			x = 1.0f;
		} else {
			x = 0.0f;
		}

		ISOLearner_Input (iso, &x);
		printf ("%f %f\n", x, iso->y[0]);
	}
			


	FreeISOLearner (iso);
	return 0;
}
