/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* "VER: $Id: modulator.c,v 1.3 2003/02/18 03:12:43 olethros Exp $" */

#include "modulator.h"


float mod_exp_decay (Modulator* mod, float l)
{
  return (pow (mod->a, l) * mod->b + mod->c); 
}

float mod_sine (Modulator* mod, float x)
{
  x = x * mod->a;
  return ( mod->d + ((cos (x - mod->b)) * mod->c));
}


float mod_sample (VirtualModulator* mod, float x)
{
  SampleBuffer* s = (SampleBuffer*) mod->u;
  int l = ((int) x)%(s->length); // The % operator should ensure safe access
  return s->x[l];
}
